package electrosphere.game.data.creature.type.ai;

/**
 * Configuration data for an attacker tree
 */
public class AttackerTreeData implements AITreeData {
    
    /**
     * The range at which this entity will locate enemies
     */
    float aggroRange;

    /**
     * The range at which attack animations will be attempted
     */
    float attackRange;

    /**
     * The number of frames to wait before changing between states
     */
    int stateChangeTimeout;

    /**
     * Gets the range at which this entity will locate enemies
     * @return The range
     */
    public float getAggroRange(){
        return aggroRange;
    }

    /**
     * Gets the range at which attack animations will be attempted
     * @return The range
     */
    public float getAttackRange(){
        return attackRange;
    }

    /**
     * Gets the number of frames to wait before changing between states
     * @return The number of frames
     */
    public int getStateChangeTimeout(){
        return stateChangeTimeout;
    }

    @Override
    public String getName() {
        return "Attacker";
    }

}
